// Author: Created by Syed Tanveer. Modified by Robert Brammer
// Last modified: April 26, 2019
// OCIO: Congress.gov chrome extension

//
//
//
//

chrome.tabs.executeScript(
  {code: "window.getSelection().toString();"},
  function(selection) {

    chrome.runtime.lastError;

    if (selection == null) {
      selection = [""];
    }

  $('#search').val(selection[0]);
  document.querySelector('button').onclick = function(e) {

    console.log('on click');

    switch($('#search-format').val()) {

      case "current-legislation":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22congress%22%3A%22116%22%2C%22source%22%3A%22legislation%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "legislation":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22legislation%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "crs-reports":
              e.preventDefault();
              chrome.tabs.create({'url': "https://crsreports.congress.gov/search/#/?termsToSearch=" + $('#search').val() + "&orderBy=Relevance"});
              break;

      case "executive-documents":
              e.preventDefault();
              chrome.tabs.create({'url': "https://www.govinfo.gov/app/search/%7B%22query%22%3A%22collection%3A(CPD)%20AND%20content%3A"  + $('#search').val() + "%22%2C%22offset%22%3A0%7D"});
              break;


      case "uscode":
              e.preventDefault();
              chrome.tabs.create({'url': "http://uscode.house.gov/search.xhtml?searchString=" + $('#search').val() + "&pageNumber=1&itemsPerPage=100&sortField=RELEVANCE&action=search&q=%7C%3A%3A%3A%3A%3A%3A%3A%3Afalse%3A%7C%3A%3A%3A%3A%3A%3A%3A%3Afalse%3A%7Cfalse%7C%5B%3A%3A%3A%3A%3A%3A%3A%3Afalse%3A%5D%7C%5B%3A%5D"});
              break;


      case "ecfr":
              e.preventDefault();
              chrome.tabs.create({'url': "https://gov.ecfr.io/cgi-bin/searchECFR?ob=r&idno=&q1=" + $('#search').val() + "&r=&SID=3f6aa35290e2c0633e3519f882fae278&mc=true"});
      	   break; 




      case "all-sources":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22congress%22%3A%22all%22%2C%22source%22%3A%22all%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "members":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22members%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "congrecord":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22congrecord%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "comreports":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22comreports%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "nominations":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22nominations%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "treaties":
      e.preventDefault();
      chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22treaties%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "house-communications":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22house-communications%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      case "senate-communications":
        e.preventDefault();
        chrome.tabs.create({'url': "https://www.congress.gov/search?q=%7B%22source%22%3A%22senate-communications%22%2C%22search%22%3A%22" + $('#search').val() + "%22%7D&searchResultViewType=expanded"});
        break;

      default:
        console.log('Error: selected option is not valid. value is:' + $('#search-format').val());
        break;
    };
  };
});
